Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.opensymphony.xwork2.validator.annotations
Annotation Type ShortRangeFieldValidator

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    public @interface ShortRangeFieldValidator

This validator checks that a numeric field has a value within a specified range. If neither min nor max is set, nothing will be done.

Annotation usage:

The annotation must be applied at method level.

Annotation parameters:

Parameter | Required | Default | Notes
--- | --- | --- | ---
message | yes |  | field error message
key | no |  | i18n key from language specific properties file.
messageParams | no |  | Additional params to be used to customize message - will be evaluated against the Value Stack
fieldName | no |  |
shortCircuit | no | false | If this validator should be used as shortCircuit.
type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.
min | no |  | Short property. The minimum the number must be.
minExpression | no |  | OGNL expression used to obtain the minimum the number must be.
max | no |  | Short property. The maximum number can be.
maxExpression | no |  | OGNL expression used to obtain the maximum number can be.
parse | no | false | Enable parsing of min/max value.

If neither min nor max is set, nothing will be done.

The values for min and max must be inserted as String values so that "0" can be handled as a possible value.

Example code:

     @IntRangeFieldValidator(message = "Default message", key = "i18n.key", shortCircuit = true, min = "0", max = "42")

     @IntRangeFieldValidator(message = "Default message", key = "i18n.key", shortCircuit = true, min = "${minValue}", max = "${maxValue}" parse="true")

Optional Element Summary
`String` | `fieldName` The optional fieldName for SIMPLE validator types.
`String` | `key` The message key to lookup for i18n.
`String` | `max` Short property.
`String` | `maxExpression` The maximum number can be defined as an expression
`String` | `message` The default error message for this validator.
`String[]` | `messageParams` Additional params to be used to customize message - will be evaluated against the Value Stack
`String` | `min` Short property.
`String` | `minExpression` The minimum the number must be defined as an expression.
`boolean` | `shortCircuit` If this is activated, the validator will be used as short-circuit.
`ValidatorType` | `type` The validation type for this field/method.

### min

    public abstract String min

  Short property. The minimum the number must be.

  Default:
    ""

### minExpression

    public abstract String minExpression

  The minimum the number must be defined as an expression.

  Default:
    ""

### max

    public abstract String max

  Short property. The maximum number can be.

  Default:
    ""

### maxExpression

    public abstract String maxExpression

  The maximum number can be defined as an expression

  Default:
    ""

### message

    public abstract String message

  The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!

  Default:
    ""

### key

    public abstract String key

  The message key to lookup for i18n.

  Default:
    ""

### messageParams

    public abstract String[] messageParams

  Additional params to be used to customize message - will be evaluated against the Value Stack

  Default:
    {}

### fieldName

    public abstract String fieldName

  The optional fieldName for SIMPLE validator types.

  Default:
    ""

### shortCircuit

    public abstract boolean shortCircuit

  If this is activated, the validator will be used as short-circuit. Adds the short-circuit="true" attribute value if `true`.

  Default:
    false

### type

    public abstract ValidatorType type

  The validation type for this field/method.

  Default:
    com.opensymphony.xwork2.validator.annotations.ValidatorType.FIELD

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.